import request from '@/utils/http/index';
function jsonToUrlParam(json) {
  return Object.keys(json).map(key => key + '=' + json[key]).join('&');
}
export const saveUser = (data) => {
  return request.post('/user/save', data);
};

export const getUserPage = (params) => {
  return request.get('/user/page', params);
};

export const deleteUsers = (ids) => {
  return request.get('/user/batchDeleteByIds', { ids });
};
export const saveLeaderGroup = (data) => {
  return request.post(`/leaderGroup/add?${jsonToUrlParam(data)}`);
};

export const getleaderGroupPage = (params) => {
  return request.get('/leaderGroup/page', params);
};

export const batchDeleteByIds = (ids) => {
  return request.get('/leaderGroup/batchDeleteByIds', { ids });
};